<?php
/**
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

class modUserLiveSearchHelper {

	public static function getUsersAjax(){
    
		$app = JFactory::getApplication();
    
		$key = JRequest::getCmd('keywords','','post');
		$module = JModuleHelper::getModule( 'mod_user_live_search' );
		$moduleParameters = new JRegistry();
		$moduleParameters->loadString($module->params);
		
		switch($moduleParameters->get("uls_community",0))
		{
		  case 0:
			$uls_community = "#";
			break;
		 
		  case 1:
			$uls_community = "index.php?option=com_comlite&view=user&userid=";
			break;
		 
		  case 2:
			$menu = $app->getMenu();
			$menuItem = $menu->getItems( 'link', 'index.php?option=com_kunena&view=user', true );
			$uls_community = "index.php?Itemid=" . $menuItem->id . "&userid=";
			break;
		 
		  case 3:
			$uls_community = "index.php?option=com_comprofiler&task=userProfile&user=";
			break;
		 
		  case 4:
			$uls_community = "index.php?option=com_community&view=profile&userid=";
			break;
			  
		  default:
			$uls_community = "#";
			break;
		}
		
		$user = JFactory::getUser();
		$usermyid = $user->get('id');

		$allowemail = $moduleParameters->get('uls_user_email', false);
		if ($allowemail) {
			$aemail = false;
			foreach ($allowemail as $value)	{if ($usermyid == trim($value)) {$aemail = true;}}
		}
		else { $aemail = false; }
		
		$db=JFactory::getDBO();
		
		$key = $db->quote('%' . $db->escape($key, true) . '%');
 
		$sql = $aemail ? "select * from #__users where username LIKE $key or email LIKE $key order by username" : "select * from #__users where username LIKE $key order by username";
		$db->setQuery($sql);
		$objects = $db->loadObjectList();
		$arr = array();
		if($objects) {
			foreach($objects as $object)
			{
				$myprofile = JRoute::_($uls_community.$object->id);
				$email = $aemail ? "<a href=\"mailto:".$object->email."\" alt=\"".JText::_('MOD_USER_LIVE_SEARCH_EMAIL')."\" title=\"".JText::_('MOD_USER_LIVE_SEARCH_EMAIL')."\">&#x2709;</a>" : "";
				$arr[] = array('id' => $object->id, 'title' => $object->username, 'email' => $email, 'url' => $myprofile);
			}
		}
		else {
			$arr[] = array('id' => '', 'title' => JText::_('MOD_USER_LIVE_SEARCH_NO_SEARCH_RESULTS'), 'email' => '', 'url' => '');
		}

		echo json_encode($arr);
		$app->close();

	}
}